package thoughtbot.expandableadapter.viewholders;

import android.view.View;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import thoughtbot.expandableadapter.listeners.OnGroupClickListener;

public abstract class GroupViewHolder extends RecyclerView.ViewHolder implements View.OnClickListener {
    private OnGroupClickListener listener;

    public GroupViewHolder(@NonNull final View itemView) {
        super(itemView);
        itemView.setOnClickListener(this);
    }

    @Override
    public void onClick(final View v) {
        //todo change to getBindingAdapterPosition if any problem occurrs
        // Log.d("AWAISKING_APP", "--> " +  getBindingAdapterPosition() + " -- " + getAbsoluteAdapterPosition());
        if (listener != null) listener.onGroupClick(getAbsoluteAdapterPosition());
    }

    public void setOnGroupClickListener(final OnGroupClickListener listener) {
        this.listener = listener;
    }

    public abstract void expand();
    public abstract void collapse();
}